fbpx
Welcome, Guest
Username: Password: Remember me
  • Page:
  • 1
  • 2

TOPIC: Need a copy of FCPX compatible with High Sierra

Need a copy of FCPX compatible with High Sierra 17 Sep 2020 18:28 #110103

  • VTCmedia
  • VTCmedia's Avatar
  • Offline
  • Senior Boarder
  • Senior Boarder
  • Posts: 67
  • Karma: 1
  • Thank you received: 12
Yes, you're in some sort of OSX vs FCPX version loop. 10.4 works with HS as does 10.4.5. (I keep all prior versions when updating just so I don't have to beat my head against the wall doing what you're trying to do now.) Some plugins will only work with the newer versions and some may only work with the earlier versions. This can be quite maddening. One of the Macs here is 2009 Mac pro 4.1 with firmware tweak to make it appear as a 5.1 and IS running HS and could conceivably load Mojave. Contact me when you get tired of being bounced around advice wise here.
- - - - -
BTW I, can NEVER find my purchased apps when digging through the app store except from one dinosaur computer I have to revive just for that purpose. It's quicker doing that than attempting to figure out why it can't be done logically or normally, like in this guys case here.

Please Log in or Create an account to join the conversation.

Last edit: by VTCmedia.
  • Page:
  • 1
  • 2